Subject: [Gen-art] Gen-ART review of draft-ietf-opsawg-hmac-sha-2-usm-snmp-05

From: Christer Holmberg <[email-masked]>
Date: Sat, 11 Apr 2015 13:07:44 +0000

I am the assigned Gen-ART reviewer for this draft. For background on Gen-ART, please see the FAQ at <http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>

Document:                         draft-ietf-opsawg-hmac-sha-2-usm-snmp-05

Reviewer:                           Christer Holmberg

Review Date:                     11 April 2015

IETF LC End Date:             20 April 2015

IETF Telechat Date:         N/A

Summary:        The document is well written, and almost ready for publication. I do, however, have a couple of comments (see below).

Major Issues: None

Minor Issues:

Q1_10-1: In the IANA Considerations section, IANA is requested to register new values. However, it is not mentioned in which registry the new values will be registered.

Editorial nits:

Q1_GENERAL-1:              Regarding reference, sometimes you say "RFC XXXX [RFCXXXX]", sometimes "RFC XXXX" and sometimes "[RFCXXXX]".

I think you should be consistent, and e.g. use "RFC XXXX [RFCXXXX]" on first occurrence, and then "RFC XXXX".

In some cases "[RFCXXXX]" is ok, though, e.g. in section 9.4 where you say "SNMP-USER-BASED-SM-MIB [RFC3414].".

---

From: Christer Holmberg <[email-masked]>
Date: Tue, 14 Apr 2015 11:08:09 +0000

Hi Tom,

><tp>
>Christer
>You puzzle me.  When I look in the I-D I see
>
>"IANA is requested to assign a value in the SnmpAuthProtocols registry "
>
>which looks to me like a mention of which registry the new values will be registered in.

You are right, I missed that. Sorry for the confusion. I withdraw the comment.

Regards,

Christer

---

From: t.petch <[email-masked]>
Date: Tue, 14 Apr 2015 11:36:56 +0100

----- Original Message -----
From: "Christer Holmberg" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Sent: Saturday, April 11, 2015 2:07 PM

I am the assigned Gen-ART reviewer for this draft. For background on
Gen-ART, please see the FAQ at
<http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>

Document:
draft-ietf-opsawg-hmac-sha-2-usm-snmp-05

IETF Telechat Date:         N/A

Summary:        The document is well written, and almost ready for
publication. I do, however, have a couple of comments (see below).

Major Issues: None

Minor Issues:

Q1_10-1: In the IANA Considerations section, IANA is requested to
register new values. However, it is not mentioned in which registry the
new values will be registered.

<tp>

Christer

which looks to me like a mention of which registry the new values will
be registered in.

Tom Petch

Editorial nits:

Q1_GENERAL-1:              Regarding reference, sometimes you say "RFC
XXXX [RFCXXXX]", sometimes "RFC XXXX" and sometimes "[RFCXXXX]".

I think you should be consistent, and e.g. use "RFC XXXX [RFCXXXX]" on
first occurrence, and then "RFC XXXX".

In some cases "[RFCXXXX]" is ok, though, e.g. in section 9.4 where you
say "SNMP-USER-BASED-SM-MIB [RFC3414].".

------------------------------------------------------------------------
--------

> _______________________________________________
> OPSAWG mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/opsawg
>

---

From: Johannes Merkle <[email-masked]>
Date: Mon, 20 Apr 2015 16:15:43 +0200

Dear all,

I will revise the draft according to the remaining comments.

Johannes

---

From: Johannes Merkle <[email-masked]>
Date: Mon, 20 Apr 2015 16:27:12 +0200

another suggestion:

I'd linke to change the title from

 HMAC-SHA-2 Authentication Protocols in USM for SNMP

to

 HMAC-SHA-2 Authentication Protocols in USM for SNMPv3
                                                    ^^
Do you agree?

-- 
Johannes

---

From: Christer Holmberg <[email-masked]>
Date: Tue, 28 Apr 2015 11:34:51 +0000

Looks ok to me.

Regards,

Christer

-----Original Message-----
From: Johannes Merkle [mailto:[email-masked]] 
Sent: 20. huhtikuuta 2015 17:27
To: Christer Holmberg; t.petch; [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: [OPSAWG] Gen-ART review of draft-ietf-opsawg-hmac-sha-2-usm-snmp-05

another suggestion:

to

                                                    ^^ Do you agree?

--
Johannes